FROM astral/uv:python3.12-bookworm-slim AS builder

RUN apt-get update && \
    apt-get install -y git --no-install-recommends && \
    rm -rf /var/lib/apt/lists/*

WORKDIR /app

COPY pyproject.toml .
COPY uv.lock .

RUN uv sync --locked

COPY . .
RUN uv run mkdocs build

FROM nginx:alpine
COPY --from=builder /app/site /usr/share/nginx/html
